ข้ามไปยังเนื้อหา

gpt-image-1 · Edit Image

ผสานการทำงาน

ID โมเดล gpt-image-1/edit-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/gpt-image-1/edit-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ไฟล์เช่นเดียวกับตัวอย่าง: $0.27 270 เครดิต API ไฟล์ของคุณจะถูกวัดก่อนเรียกใช้ เรียกใช้ในหน้านี้

รับคีย์ API

แก้ไขหรือผสานรูปภาพอ้างอิงด้วยพรอมต์ พร้อมการตั้งค่าความเที่ยงตรงของอินพุตและตัวเลือกพื้นหลังโปร่งใส

OpenAI · ภาพ

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น

พรอมต์ที่ใช้สร้างรูปภาพ

•จำเป็น image_urls
วางไฟล์ หรือ

URL ของรูปภาพอ้างอิงสำหรับการสร้าง

image_size ค่าเริ่มต้น auto

อัตราส่วนภาพของรูปภาพผลลัพธ์

quality ค่าเริ่มต้น auto

คุณภาพของรูปภาพผลลัพธ์

input_fidelity ค่าเริ่มต้น high

ระดับที่รูปภาพผลลัพธ์จะยึดตามอินพุต

num_images ค่าเริ่มต้น 1

จำนวนรูปภาพที่จะสร้าง

ขั้นสูง background · output_format · enable_safety_checker
background ค่าเริ่มต้น auto

พื้นหลังของรูปภาพผลลัพธ์

output_format ค่าเริ่มต้น png

รูปแบบไฟล์ของรูปภาพเอาต์พุต

POST /run/gpt-image-1/edit-image?wait=20 ใบเสนอราคา → $0.27
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/gpt-image-1/edit-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ gpt-image-1 · Edit Image

สร้างรูปภาพใหม่จากรูปภาพอ้างอิงหนึ่งรูปหรือมากกว่าใน `image_urls` และพรอมต์ `input_fidelity` เป็น low หรือ high (ค่าเริ่มต้น high) เพื่อควบคุมว่าจะคงอินพุตไว้ใกล้เคียงเดิมเพียงใด ขนาดคือ auto, 1024x1024, 1536x1024 หรือ 1024x1536 พร้อมพื้นหลังแบบ auto, transparent หรือ opaque สร้างได้สูงสุด 4 รูป และเอาต์พุตเป็น png, jpeg หรือ webp

พารามิเตอร์

ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
promptจำเป็น
ประเภทstring
≥ 2 อักขระ
พรอมต์ที่ใช้สร้างรูปภาพ
image_urlsจำเป็น images
ประเภทurl[] · image
URL ของรูปภาพอ้างอิงสำหรับการสร้าง
image_sizeไม่บังคับ
ประเภทenum
ค่าเริ่มต้นauto
auto1024x10241536x10241024x1536
อัตราส่วนภาพของรูปภาพผลลัพธ์
backgroundไม่บังคับ
ประเภทenum
ค่าเริ่มต้นauto
autotransparentopaque
พื้นหลังของรูปภาพผลลัพธ์
qualityไม่บังคับ
ประเภทenum
ค่าเริ่มต้นauto
autolowmediumhigh
คุณภาพของรูปภาพผลลัพธ์
input_fidelityไม่บังคับ
ประเภทenum
ค่าเริ่มต้นhigh
lowhigh
ระดับที่รูปภาพผลลัพธ์จะยึดตามอินพุต
num_imagesไม่บังคับ num_outputs
ประเภทinteger
ค่าเริ่มต้น1
1 – 4
จำนวนรูปภาพที่จะสร้าง
output_formatไม่บังคับ
ประเภทenum
ค่าเริ่มต้นpng
jpegpngwebp
รูปแบบไฟล์ของรูปภาพเอาต์พุต
enable_safety_checkerไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
สามารถผ่อนปรนการคัดกรองได้โดยตั้งค่าเป็น false หากผู้เรียกมีสิทธิ์
จำเป็น ชื่อมาตรฐาน ซึ่งรองรับเช่นกัน

พารามิเตอร์ไฟล์รับ URL https:// สาธารณะ, data: URI ขนาดไม่เกิน 10 MB หรือ file_url ของไฟล์ที่อัปโหลด ไฟล์

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "gpt-image-1/edit-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 270,
    "usd": "0.27",
    "charged": 270,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
images
array of object {url, content_type, file_name, file_size, width, height}รูปภาพที่โมเดลสร้าง

โมเดลเพิ่มเติม: แก้ไขภาพ

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/gpt-image-1/edit-image.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt